/**
 * AndropodInterface - Basic bit handling function an bool /uint declaration
 *
 * @author Bernhard Wrndl-Aichriedler <bwa@xdevelop.at>, Julian Nischler  <julian@xdevelop.at>
 * @copyright Copyright 2011, Upper Austria University of Applied Sciences & \
   Julian Nischler & Bernhard Wrndl-Aichriedler
 */

#ifndef _DEFINITIONS_H
#define _DEFINITIONS_H 1

	#include "vos.h"

	#define setbit(addr, bit) ((addr) |= (1 << (bit)))
	#define clearbit(addr, bit) ((addr) &= ~(1 << (bit)))

	/*
	 * Define true & false
	 */
	#define true 1
	#define false 0

	/*
	 * Define the bool datatype
	 */
	typedef unsigned char bool;

	typedef unsigned int uint;


#endif
